#include <util/generic/string.h>
#include <mapreduce/yt/interface/client.h>

namespace Datacloud {
namespace Grep {
    void fast_grep(const TString& yt_token, const TString& cluster, const TString& date);

    void custom_fast_grep(
        const TString& yt_token, const TString& cluster,
        const TString& cryptaTable, const TVector<TString>& logTable,
        const TString& outputTable);

    void grep(NYT::IClientPtr client, const TString& date);
}  // namespace Grep
}  // namespace Datacloud
